Chuyển đến nội dung
Diễn đàn CADViet
quoccuong1201

Lisp ghi cao độ thiết kế cọc trên bình đồ.

Các bài được khuyến nghị

Mình thiết kế tuyến, nhưng bên chủ đầu tư bắt là phải ghi cao độ thiết kế của mỗi cọc lên trên bình đồ. Cao độ thiết kế gồm: cao độ tim, cao độ mép đường, cao độ mép lề...(và dải phân cách nếu có).

Bạn nào có thì post lên dùm!

Cảm ơn nhiều!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thể hiện cách biểu diễn trên mặt bằng lên để mọi người biết mà viết chứ. Nói thế khó hiểu hết yêu cầu lắm.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Bạn thể hiện cách biểu diễn trên mặt bằng lên để mọi người biết mà viết chứ. Nói thế khó hiểu hết yêu cầu lắm.

Mình gởi file nova (2005) lên luôn.

http://www.cadviet.com/upfiles/2/file12.rar

+File 1: từ cọc 0 đến cọc 10 mình điền cao độ thiết kế (CDTK) của trắc ngang thiết kế lên bình đồ (điền thủ công bằng tay)

Mình muốn nhờ các bạn viết lisp điền được CDTK của tất cả các cọc lên bình đồ

+File 2: file này mình điền cao độ tự nhiên (CDTN) của trắc ngang lên bình đồ

Cái này mình dùng lisp.Mình gởi lisp cho các bạn tham khảo luôn

 

(defun c:ghi ()

(setvar "cmdecho" 0)

(setvar "osmode" 0)

(setq chu (getreal "\nChieu cao chu <2.0>:"))

(if (= chu nul) (setq chu 2.0))

(setq LOP (tblsearch "LAYER" "Caodo TN"))

(if (= LOP nil)

(command "layer" "n" "CaoDoTN" "c" "2" "CaoDo TN" "")

)

(setvar "clayer" "CaodoTN")

(command "UNDO" "BE")

(setq ss (ssget (list (cons 0 "line") (cons 8 "ENTCOC"))))

(setq i 0)

(repeat (sslength ss)

(setq ent (entget (ssname ss i) (list "TDN")))

(setq P1 (cdr (assoc 10 ent))

P2 (cdr (assoc 11 ent)))

(setq Pm (list (/ (+ (car P1) (car P2)) 2.0)

(/ (+ (cadr P1) (cadr P2)) 2.0)))

(setq goc (angle P1 P2))

(setq goctext (angtos (+ goc (/ pi 2)) 0 4))

(setq sohieu (assoc -3 ent))

(if (/= sohieu nil)

(progn

(setq solieu (cdr (last sohieu)))

(setq len (/ (- (length solieu) 29) 6))

(setq j 29)

(repeat len

(setq cdo (cdr (nth j solieu)))

(setq KC (cdr (nth (+ j 1) solieu)))

(setq P (polar Pm goc KC))

(command "text" "MC" P chu goctext (zero2 (rtos cdo 2 2)))

(setq j (+ j 6))

)

)

)

(setq i (+ i 1))

)

(command "UNDO" "END")

(setvar "osmode" 191)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái này khó lắm, vì số liệu thiết kế trắc ngang nó chỉ không lưu vào đối tượng nào cả mà chỉ thể hiện trên mcn. Số liệu tự nhiên nó lưu sẵn trong entcoc rồi nên lấy ra cũng dễ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sao không thấy cao thủ bàn về vấn đề này nhỉ!

Nếu vấn đề này được giải quyết thì có lợi cho việc nội suy CDTK của hố ga trong đường cong có siêu cao nữa.

Mong các cao thủ ra tay giải quyết vấn đề này.

Thanks!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mọi ng ơi...ai cso bình đồ hay bản đồ địa hình hay bình đồ của quận Đống Đa hay của Hà Nội cũng dc cho mình xin với...mình đnag rất cần để làm đồ án tốt nghiệp.......nếu có gởi qua mail hoa_tieuacquy@yahoo.com cho mình với.........thank nhiều nha..^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái ông CĐT nào mà ác thế, ghi lên bình đồ làm gì thế ko biết. Đúng là quá chán cho cách thức quản lý này.

Về yêu cầu của bạn thì việc điền cao độ thiết kế tại tim tuyên lên bình đồ thì đơn giản chứ còn việc điền cả các vị trí khác trên bình đồ thì rất khó (khó chứ không phải không làm được)

Nhờ bác chỉ dùm cách điền CĐTK tại tim lên bình đồ dùm em với. Thank nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cái ông CĐT nào mà ác thế, ghi lên bình đồ làm gì thế ko biết. Đúng là quá chán cho cách thức quản lý này.

Về yêu cầu của bạn thì việc điền cao độ thiết kế tại tim tuyên lên bình đồ thì đơn giản chứ còn việc điền cả các vị trí khác trên bình đồ thì rất khó (khó chứ không phải không làm được)

 

Chắc không phải do CĐT ác đâu mà có lẽ do chủ nhân muốn đưa cao độ thiết kế lên để vẽ mặt bằng thiết kế thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình gởi file nova (2005) lên luôn.

http://www.cadviet.c...es/2/file12.rar

+File 1: từ cọc 0 đến cọc 10 mình điền cao độ thiết kế (CDTK) của trắc ngang thiết kế lên bình đồ (điền thủ công bằng tay)

Mình muốn nhờ các bạn viết lisp điền được CDTK của tất cả các cọc lên bình đồ

+File 2: file này mình điền cao độ tự nhiên (CDTN) của trắc ngang lên bình đồ

Cái này mình dùng lisp.Mình gởi lisp cho các bạn tham khảo luôn

 

(defun c:ghi ()

(setvar "cmdecho" 0)

(setvar "osmode" 0)

(setq chu (getreal "\nChieu cao chu <2.0>:"))

(if (= chu nul) (setq chu 2.0))

(setq LOP (tblsearch "LAYER" "Caodo TN"))

(if (= LOP nil)

(command "layer" "n" "CaoDoTN" "c" "2" "CaoDo TN" "")

)

(setvar "clayer" "CaodoTN")

(command "UNDO" "BE")

(setq ss (ssget (list (cons 0 "line") (cons 8 "ENTCOC"))))

(setq i 0)

(repeat (sslength ss)

(setq ent (entget (ssname ss i) (list "TDN")))

(setq P1 (cdr (assoc 10 ent))

P2 (cdr (assoc 11 ent)))

(setq Pm (list (/ (+ (car P1) (car P2)) 2.0)

(/ (+ (cadr P1) (cadr P2)) 2.0)))

(setq goc (angle P1 P2))

(setq goctext (angtos (+ goc (/ pi 2)) 0 4))

(setq sohieu (assoc -3 ent))

(if (/= sohieu nil)

(progn

(setq solieu (cdr (last sohieu)))

(setq len (/ (- (length solieu) 29) 6))

(setq j 29)

(repeat len

(setq cdo (cdr (nth j solieu)))

(setq KC (cdr (nth (+ j 1) solieu)))

(setq P (polar Pm goc KC))

(command "text" "MC" P chu goctext (zero2 (rtos cdo 2 2)))

(setq j (+ j 6))

)

)

)

(setq i (+ i 1))

)

(command "UNDO" "END")

(setvar "osmode" 191)

)

 

 

 

Để điền cao độ thiết kế của lên bình đồ thì cũng đơn giản. Sử dụng Nova thôi, chả cần dùng lisp làm gì.

Đầu tiên dùng lênh CDtext để chọn lần lượt các text cao độ thiết kế trên trắc dọc. lần lượt từng cọc một ta được 1 file dạng *txt.

bước 2 là mở file số liệu của tuyến ra, thay thế cao độ thiên nhiên bằng cao độ thiết kế đã được nhặt ra bởi lệnh CDText ở trên

bước 3 là chạy lại 1 phương án tuyến 2, rồi dùng lệnh điền cao độ cọc DCDC

bước 4 là copy sang past with base point vào bình đồ thôi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không biết lisp của bạn rubyline có điền được cao độ thiết kế trong đường cong không nhỉ.Hihi.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình thiết kế tuyến, nhưng bên chủ đầu tư bắt là phải ghi cao độ thiết kế của mỗi cọc lên trên bình đồ. Cao độ thiết kế gồm: cao độ tim, cao độ mép đường, cao độ mép lề...(và dải phân cách nếu có).

Bạn nào có thì post lên dùm!

Cảm ơn nhiều!!!

Cái này có vẻ quen quen, bạn thử tham khảo đường link này xem thế nào nhé:

http://kythuatdothi.com/diendan/showthread.php?p=29816

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

 

 

Để điền cao độ thiết kế của lên bình đồ thì cũng đơn giản. Sử dụng Nova thôi, chả cần dùng lisp làm gì.

Đầu tiên dùng lênh CDtext để chọn lần lượt các text cao độ thiết kế trên trắc dọc. lần lượt từng cọc một ta được 1 file dạng *txt.

bước 2 là mở file số liệu của tuyến ra, thay thế cao độ thiên nhiên bằng cao độ thiết kế đã được nhặt ra bởi lệnh CDText ở trên

bước 3 là chạy lại 1 phương án tuyến 2, rồi dùng lệnh điền cao độ cọc DCDC

bước 4 là copy sang past with base point vào bình đồ thôi.

e thấy bài này là dc rồi, đòi hỏi gì mà cao quá thế!!!!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình gởi file nova (2005) lên luôn.

http://www.cadviet.com/upfiles/2/file12.rar

+File 1: từ cọc 0 đến cọc 10 mình điền cao độ thiết kế (CDTK) của trắc ngang thiết kế lên bình đồ (điền thủ công bằng tay)

Mình muốn nhờ các bạn viết lisp điền được CDTK của tất cả các cọc lên bình đồ

+File 2: file này mình điền cao độ tự nhiên (CDTN) của trắc ngang lên bình đồ

Cái này mình dùng lisp.Mình gởi lisp cho các bạn tham khảo luôn

 

(defun c:ghi ()

(setvar "cmdecho" 0)

(setvar "osmode" 0)

(setq chu (getreal "\nChieu cao chu <2.0>:"))

(if (= chu nul) (setq chu 2.0))

(setq LOP (tblsearch "LAYER" "Caodo TN"))

(if (= LOP nil)

(command "layer" "n" "CaoDoTN" "c" "2" "CaoDo TN" "")

)

(setvar "clayer" "CaodoTN")

(command "UNDO" "BE")

(setq ss (ssget (list (cons 0 "line") (cons 8 "ENTCOC"))))

(setq i 0)

(repeat (sslength ss)

(setq ent (entget (ssname ss i) (list "TDN")))

(setq P1 (cdr (assoc 10 ent))

P2 (cdr (assoc 11 ent)))

(setq Pm (list (/ (+ (car P1) (car P2)) 2.0)

(/ (+ (cadr P1) (cadr P2)) 2.0)))

(setq goc (angle P1 P2))

(setq goctext (angtos (+ goc (/ pi 2)) 0 4))

(setq sohieu (assoc -3 ent))

(if (/= sohieu nil)

(progn

(setq solieu (cdr (last sohieu)))

(setq len (/ (- (length solieu) 29) 6))

(setq j 29)

(repeat len

(setq cdo (cdr (nth j solieu)))

(setq KC (cdr (nth (+ j 1) solieu)))

(setq P (polar Pm goc KC))

(command "text" "MC" P chu goctext (zero2 (rtos cdo 2 2)))

(setq j (+ j 6))

)

)

)

(setq i (+ i 1))

)

(command "UNDO" "END")

(setvar "osmode" 191)

)

e đang cần lisp này của a nhưng sao e ko chọn được các đối tượng caodotn. a có thể chỉ cách e làm như file 2 của a đc ko!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×